import 'yundian_ocr_platform_interface.dart';

class YundianOcr {
  static Future<String?> ocrInit(bool isDebug, String appKey, String mchInfo, String riskInfo) {
    return YundianOcrPlatform.instance.ocrInit(isDebug, appKey, mchInfo, riskInfo);
  }

  static Future<String?> ocrStartDetect(String authToken, bool isRealPeopleVerify) {
    return YundianOcrPlatform.instance.ocrStartDetect(authToken, isRealPeopleVerify);
  }

  static onOcrResultListener(OcrEventHandler onEvent, OcrEventHandler onError) {
    YundianOcrPlatform.instance.onOcrResultListener(onEvent, onError);
  }

  static Future<String?> ocrRelease() {
    return YundianOcrPlatform.instance.ocrRelease();
  }

  static Future<String?> setLayoutIdCardOcrId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutIdCardOcrId(layoutIdName);
  }

  static Future<String?> setLayoutIdCardOcrSingleId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutIdCardOcrSingleId(layoutIdName);
  }

  static Future<String?> setLayoutCarOcrId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutCarOcrId(layoutIdName);
  }

  static Future<String?> setLayoutIdCardResultId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutIdCardResultId(layoutIdName);
  }

  static Future<String?> setLayoutRealPeopleVerifyId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutRealPeopleVerifyId(layoutIdName);
  }

  static Future<String?> setLayoutRealPeopleVerifySuccessId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutRealPeopleVerifySuccessId(layoutIdName);
  }

  static Future<String?> setLayoutRealPeopleVerifyFailedId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutRealPeopleVerifyFailedId(layoutIdName);
  }

  static Future<String?> setLayoutTakePhoneId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutTakePhoneId(layoutIdName);
  }

  static Future<String?> setLayoutUploadIdCardId(String layoutIdName) {
    return YundianOcrPlatform.instance.setLayoutUploadIdCardId(layoutIdName);
  }

  static Future<String?> setUploadTvBackTextColor(String color) {
    return YundianOcrPlatform.instance.setUploadTvBackTextColor(color);
  }

  static Future<String?> setUploadIvBackRes(int uploadIvBackRes) {
    return YundianOcrPlatform.instance.setUploadIvBackRes(uploadIvBackRes);
  }
}
